Page MenuHomePhabricator

phan stopped respecting dependencies
Closed, ResolvedPublic

Description

WikibaseLexeme depends on Wikibase and Wikibase depends on many many extensions. Today I couldn't merge a patch in WikibaseLexeme because phan couldn't find Wikibase classes.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2019, 3:11 PM

Yes, the fixes to make phan not slow down CI mean that it's now non-recursive in dependency fetching. See T225112.

I guess the real dependency tree for WikibaseLexeme needs to be updated.

Yes, the fixes to make phan not slow down CI mean that it's now non-recursive in dependency fetching. See T225112.
I guess the real dependency tree for WikibaseLexeme needs to be updated.

Thanks, I might be a stupid here but this can't find Wikibase classes itself which is the direct dependency of the WikibaseLexeme

@Jdforrester-WMF WikibaseLexeme specifies that CI must be run with Wikibase loaded here: https://github.com/wikimedia/integration-config/blob/master/zuul/parameter_functions.py#L381

Where else should this be added?

There's a second list, specifically for phan now, slightly lower down. I thought I grepped and triggered tests for all the repos with fan to catch this stuff, but must have missed that one somehow...

Addshore triaged this task as High priority.Jun 11 2019, 11:38 PM

Marking as High as this is stopping people merged in WikibaseLexeme, but no team is totally blocked by this right now afaik (so not UBN).

I'll work on a patch now :)

Change 516575 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] phan: [WikibaseLexeme] Depends on Wikibase

https://gerrit.wikimedia.org/r/516575

I couldn't see in immediate grepping any other foreign classes in the repo, and there's nothing in the phan config inside the repo, so will that suffice?

Change 516575 merged by jenkins-bot:
[integration/config@master] phan: [WikibaseLexeme] Depends on Wikibase

https://gerrit.wikimedia.org/r/516575

Mentioned in SAL (#wikimedia-releng) [2019-06-11T23:51:31Z] <James_F> Updated Zuul phan dependencies for WikibaseLexeme, adding Wikibase T225524

Jdforrester-WMF closed this task as Resolved.Jun 12 2019, 12:02 AM
Jdforrester-WMF claimed this task.
Jdforrester-WMF removed a project: Patch-For-Review.

WikibaseLexeme seems fixed. Please open new tickets if there are missing phan dependencies.